<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
    include_once ROOT_DIR . '/engine/classes/bbcode.class.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизованы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
		  </div>';
} else
if ( !$config_user['activate'] ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Для продолжения, Вам необходимо активировать свой аккаунт, перейдя в раздел <a class="a_link" href="/profile" >настройки аккаунта</a>. </p>
			
		  </div>';
} else {

    $pr_tasks = mysql_query( "SELECT * FROM tasks t1 WHERE t1.paused = 1 and t1.balance >= t1.price  / '" . $config['factor_tasks'] . "' and id = '" . ( int ) $_GET['id'] . "' LIMIT 1" );
    if ( mysql_num_rows( $pr_tasks ) > 0 ) {
        $pr_tasks_row = mysql_fetch_array( $pr_tasks );
        $getFav = mysql_fetch_array( mysql_query( "SELECT id FROM tasks_favorites WHERE iduser = '" . $_SESSION['iduser'] . "' and ident = '" . $pr_tasks_row['id'] . "'" ) );
        
		#проверяем в выполненых
        $pr_tasks_temp = mysql_query( "SELECT * FROM tasks_temp WHERE ident = '" . $pr_tasks_row['id'] . "' and iduser = '" . $_SESSION['iduser'] . "' ORDER BY id DESC LIMIT 1" );
        
        #имя пользоваеля и аватар
        $get_task_user = mysql_fetch_array( mysql_query( "SELECT * FROM user WHERE id = '" . $pr_tasks_row['iduser'] . "' LIMIT 1" ) );
        
		#черный список
        $get_black_list = mysql_query( "SELECT id FROM tasks_black_list_user WHERE ident = '" . $pr_tasks_row['id'] . "' and to_user = '" . $_SESSION['iduser'] . "' LIMIT 1" );
        
        #Кнопка добавить в избранное и удалить
        if ( $pr_tasks_row['many'] == 1 and $getFav['id'] == 0 ) {
            $btnFav = '<div onclick="addfav(' . $pr_tasks_row['id'] . ');return false;" class="task-add-favorites" id="addfav" title="Добавить задание в избранные" ></div>';
        } else
        if ( $pr_tasks_row['many'] == 1 and $getFav['id'] != 0 ) {
            $btnFav = '<div onclick="delfav(' . $pr_tasks_row['id'] . ');return false;" class="task-close-favorites" id="delfav" title="Удалить задание из списка избранных" ></div>';
        } else {
            $btnFav = '';
        }
		
		#Количество комментариев
		$all_comment = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM tasks_comment WHERE ident = '".$pr_tasks_row['id']."'" ) );
        ?>
        <script type="text/javascript">
			$(document).ready(function(){
				$('.color-green').tipTip({defaultPosition:'right'});
				$('.color-red').tipTip({defaultPosition:'right'});
				$('.color-grey').tipTip({defaultPosition:'right'});
				$('.task-add-favorites').tipTip({defaultPosition:'right'});
				$('.task-close-favorites').tipTip({defaultPosition:'right'});
				$('#rating_user_task').tipTip({defaultPosition:'right'});
				$('.tsk-mail').tipTip({defaultPosition:'right'});
			});
			
			function forum_drweb(e) {
				$('body').Qbox({
					'title': 'Проверка на вирусы',
					'width': 410,
					'minHeight': 45,
					'fadespeed': 300,
					'url': 'modules/check_drweb.php',
					'param': 'url='+e
				});
				return false;
			}
			function addfav(e) {
				$.post('ajax.php?func=addtasksfav', {
					id: e
				}, function(data) {
					if (data == 1) {
						Page.Go(window.location.pathname);
						$('body').Qnotify({text:'Задание успешно добавлено в список избранных', color:'green'});
					} else {
						$('body').Qnotify({text:data, sound:'error'});
					}
				});
				return false;
			}
			function delfav(e) {
				$.post('ajax.php?func=deltasksfav', {
					id: e
				}, function(data) {
					if (data == 1) {
						Page.Go(window.location.pathname);
						$('body').Qnotify({text:'Задание удалено из списка избранных', color:'green'});
					} else {
						$('body').Qnotify({text:data, sound:'error'});
					}
				});
				return false;
			}
			
			function search_task_autor(a,b) {
				document.cookie = "task_status=1";
				document.cookie = "type="+a;
				document.cookie = "zapros="+b;
				///location.href = ('/tasks');
			}
        </script>
        
        <div class="content_bar content_bar_fix_chain">
			<article class="postBox">
				<br><h2><a>Выполнение задания</a></h2><br>
				<div class="textPreview" style="margin-top: -20px;">
					<p class="">
						Внимательно прочтите и точно следуйте инструкции к выполнению задания. Рекламодатель имеет право отклонить вашу работу, если условия выполнения не были соблюдены в полной мере. 
					</p>
				</div>
 
				<div class="tskblank4">
					<div class="tskblank3">
						<div class="tskblank2">
							<div class="tskblank1">
				
								<span class="tskblank-title">
									ID:<?=$pr_tasks_row['id']?>, «<?=$pr_tasks_row['title']?>»
								</span>
								<div class="tskblock">
									<?=$btnFav?>
									<table class="tsk-header">
										<tbody>
											<tr>
												<td style="vertical-align: top; padding-right: 8px; width: 10%;">
													<img src="/temp/avatar/<?=$get_task_user['avatar']?>" class="avatar_task img-circle" style="margin: 2px 3px;">
													<div class="user_rating_task">
														<a href="/status" target="_blank">
															<div class="rating rating-blue img-circle" title="Рейтинг пользователя" id="rating_user_task">
																<div class="rating_user_task_e">
																	<? echo ( int ) $get_task_user['reyting'];?>
																</div>
															</div>
														</a>
													</div>
												</td>
												<td style="vertical-align: top; white-space:nowrap;">
													<b>Автор задания:</b><br>
													<a class="tsk-mail" href="#" onclick="msg.showDialog('<?=$get_task_user['id']?>', '<?=substr( md5( $message_md5 . $get_task_user['id'] ), 0, 22 ) ?>');return false;" target="_blank" title="Написать сообщение автору задания"></a>
													ID: <?=$get_task_user['id']?> - <a class="link_color" href="/id<?=$get_task_user['id']?>"><?=$get_task_user['username']?></a>
													<br>
													<div class="fa fa-external-link" aria-hidden="true"></div> <a href="/tasks" onclick="search_task_autor('autor', <?=$get_task_user['id']?>);" class="link_color" target="_blank">Посмотреть все задания автора</a>
													<br>
													<table class="tskstat">
														<tbody>
															<tr>
																<td>Отзывы о задании&nbsp;&nbsp;&nbsp;</td>
																<td><a class="link_color" href="#1" onclick="tasks.ShowComment(<?=$pr_tasks_row['id']?>);"><?=$all_comment['count']?> - прочитать</a></td>
															</tr>
															<tr>
																<td>Статус</td>
																<td><?if ($pr_tasks_row['many'] == 1 ) { echo 'Многоразовое'; } else { echo 'Одноразовое'; } ?></td>
															</tr>
															<tr>
																<td>Категория</td>
																<td>
																  <?
																	if ($pr_tasks_row['ShownKategories'] == 1 ) { echo 'Только регистрация'; } else
																	if ($pr_tasks_row['ShownKategories'] == 2 ) { echo 'Только клики'; } else
																	if ($pr_tasks_row['ShownKategories'] == 3 ) { echo 'Регистрация с активностью'; } else
																	if ($pr_tasks_row['ShownKategories'] == 4 ) { echo 'Приглашение в рефералы'; } else
																	if ($pr_tasks_row['ShownKategories'] == 5 ) { echo 'Социальные сети'; } else
																	if ($pr_tasks_row['ShownKategories'] == 6 ) { echo 'YouTube'; } else
																	if ($pr_tasks_row['ShownKategories'] == 7 ) { echo 'Постинг в форумы и/или блоги'; } else
																	if ($pr_tasks_row['ShownKategories'] == 8 ) { echo 'Написать статью или пресс-релиз'; } else
																	if ($pr_tasks_row['ShownKategories'] == 9 ) { echo 'Отзыв/проголосовать'; } else
																	if ($pr_tasks_row['ShownKategories'] == 10 ) { echo 'Forex'; } else
																	if ($pr_tasks_row['ShownKategories'] == 11 ) { echo 'Bitcoin/Litecoin/Dogecoin'; } else
																	if ($pr_tasks_row['ShownKategories'] == 12 ) { echo 'Играть в игры'; } else
																	if ($pr_tasks_row['ShownKategories'] == 13 ) { echo 'Инвестировать'; } else
																	if ($pr_tasks_row['ShownKategories'] == 14 ) { echo 'Мобильные приложения'; } else
																	if ($pr_tasks_row['ShownKategories'] == 15 ) { echo 'Бонусы'; } else
																	if ($pr_tasks_row['ShownKategories'] == 16 ) { echo 'Прочее'; }
																  ?>
																</td>
															</tr>
															<tr>
																<td>Выполнено</td><td>
																	<span class="color-green" title="Одобрено заданий"><?=$pr_tasks_row['t_goods']?></span> /
																	<span class="color-red" title="Отклонено заданий"><?=$pr_tasks_row['t_bad']?></span> / 
																	<span class="color-grey" title="На проверке заданий"><?=$pr_tasks_row['t_wait']?></span> 
																</td>
															</tr>
														</tbody>
													</table>
													
												</td>
												<td style="vertical-align: top; width: 50%">
													<div class="div_centralizator">
														<span class="taskprice-note"><?=$pr_tasks_row['price']?> <?=$config['valutaname']?></span>
													</div>
													<?
													  $num_tasks_com = mysql_query( "SELECT id FROM tasks_temp WHERE ident = '" . $pr_tasks_row['id'] . "' and status in (1,2) and iduser = '" . $_SESSION['iduser'] . "' LIMIT 1" );
													  if( mysql_num_rows( $num_tasks_com ) > 0 ) {
													?>
													<div class="review-task-button">
														<button type="button" class="btn  btn-sm" onclick="tasks.NewComment(<?=$pr_tasks_row['id']?>);">
														  <i class="fa fa-commenting-o" aria-hidden="true"></i> Оставить отзыв
														</button>
													</div>
													<?
													  }
													?>
												</td>
											</tr>
										</tbody>
									</table>
									
									<?if ( $pr_tasks_row['clearcookie'] == 1 ) echo '<div class="alert alert-info-task alert-danger-task-fix" role="alert">
										  <i class="fa fa-info-circle" aria-hidden="true"></i> Перед выполнением данного задания необходимо почистить куки браузера(Cookie): <a href="#4" class="link_color" onclick="help.Show_cookie();">Справка</a>
										</div>';?>
									<span class="task-subtitle">Описание задания (условие задания):</span>
									<h10 style="margin-top: -2px;">Для выполнения задания нажмите кнопку<br>"Начать выполнение задания"</h10>
									<span class="taskdescription">
										<?=$pr_tasks_row['text']?>
									</span>
									<span class="task-subtitle">Что <b>нужно указать в отчёте</b> о выполненном задании:</span>
									<span class="taskquestion">
										<?=$pr_tasks_row['description']?>
									</span>
								
									<?
									
									#Определяем страну 
									$regcode = find_country();
									
									$tasks_temp_rowExecutionOn = mysql_fetch_array( mysql_query( "SELECT * FROM tasks_temp WHERE ident = '" . $pr_tasks_row['id'] . "' and iduser = '" . $_SESSION['iduser'] . "' ORDER BY id DESC LIMIT 1" ) );
									$tasksIPViem=explode('.', real_IP());
										
									switch ( $pr_tasks_row['ipFilter'] ) {
										case 0:
											$ipsel = 's';
											break;
										case 1:
											$ipsel = $tasksIPViem[0].$tasksIPViem[1].$tasksIPViem[2].$tasksIPViem[3];
											break;
										case 2:
											$ipsel = $tasksIPViem[0].$tasksIPViem[1].$tasksIPViem[2];
											break;
										default:
											$ipsel = 's';
											break;
									}
										
									$tasks_temp_ip = mysql_fetch_array( mysql_query( "SELECT * FROM tasks_temp WHERE ident = '" . $pr_tasks_row['id'] . "' and ip = '".$ipsel."' ORDER BY id DESC LIMIT 1" ) );
									
									if ( $pr_tasks_row['iduser'] == $_SESSION['iduser'] ) {
										echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
										  <i class="fa fa-info-circle" aria-hidden="true"></i> Вы не можете выполнить своё задание.
										</div>
										';
									} else
									
									if ( $pr_tasks_row['geo_ru'] != $regcode AND 
									$pr_tasks_row['geo_ua'] != $regcode AND 
									$pr_tasks_row['geo_by'] != $regcode AND 
									$pr_tasks_row['geo_kz'] != $regcode AND 
									$pr_tasks_row['geo_ge'] != $regcode AND 
									$pr_tasks_row['geo_md'] != $regcode AND 
									$pr_tasks_row['geo_am'] != $regcode AND 
									$pr_tasks_row['geo_tj'] != $regcode AND 
									$pr_tasks_row['geo_az'] != $regcode AND 
									$pr_tasks_row['geo_uz'] != $regcode AND 
									$pr_tasks_row['geo_pt'] != $regcode AND 
									$pr_tasks_row['geo_es'] != $regcode AND 
									$pr_tasks_row['geo_ee'] != $regcode AND 
									$pr_tasks_row['geo_lv'] != $regcode AND 
									$pr_tasks_row['geo_lt'] != $regcode AND 
									$pr_tasks_row['geo_us'] != $regcode AND 
									$pr_tasks_row['geo_gb'] != $regcode AND 
									$pr_tasks_row['geo_fr'] != $regcode AND 
									$pr_tasks_row['geo_de'] != $regcode AND 
									$pr_tasks_row['geo_cn'] != $regcode AND 
									$pr_tasks_row['geo_all'] != $regcode AND 
									$pr_tasks_row['geo_it'] != $regcode ) {
										echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
										  <i class="fa fa-info-circle" aria-hidden="true"></i> Это задание не доступно для вашего региона.
										</div>';
									} else
									
									if ( $pr_tasks_row['openWmid'] == '1' AND $config_user['wmid'] == '' ) {
										echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
										  <i class="fa fa-info-circle" aria-hidden="true"></i> Это задание не доступно для вас. До тех пор пока вы не сохраните кошелек webmoney в своем профиле.
										</div>';
									} else
									
									if ( $pr_tasks_row['openReyting'] >= '1' AND $config_user['reyting'] < $pr_tasks_row['openReyting'] ) {
										echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
										  <i class="fa fa-info-circle" aria-hidden="true"></i> Это задание не доступно для вас по рейтингу.
										</div>';
									} else
									
									#Если задание начали и включен параметер времени ожидания между выполнениями, и время тайм аута не прошло
									if ( $pr_tasks_row['nextExecutionOn'] > '0' AND $pr_tasks_row['nextExecution'] + $pr_tasks_row['nextExecutionOn'] > time() AND $tasks_temp_rowExecutionOn['iduser'] != $_SESSION['iduser'] ) {
										echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
										  <i class="fa fa-info-circle" aria-hidden="true"></i> Это задание не доступно, зайдите позже.
										</div>';
									} else
										
									#если в задание включен ип фильтыр но вы еще не выполняли это задание, однако с вашего ип уже кто то выполнял или вы с другого акаунта, в таком случае запрещаем выполнение до истечения времени фильтра
									if ( ($tasks_temp_ip['startdate'] + $pr_tasks_row['timeIpFilter']) > time() and $tasks_temp_ip['ip'] == $ipsel AND $tasks_temp_ip['iduser'] != $_SESSION['iduser']) {
										echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
										  <i class="fa fa-info-circle" aria-hidden="true"></i> Это задание недоступно для вашего IP до '.date('d.m.Y - H:i', $tasks_temp_ip['startdate'] + $pr_tasks_row['timeIpFilter']).'
										</div>';
									} else
									
									if ( mysql_num_rows( $pr_tasks_temp ) > 0 ) {
										$pr_tasks_temp_row = mysql_fetch_array( $pr_tasks_temp );
										
										$tasksIPViem=explode('.', real_IP());
										
										switch ( $pr_tasks_row['ipFilter'] ) {
											case 0:
												$ipsel = 's';
												break;
											case 1:
												$ipsel = $tasksIPViem[0].$tasksIPViem[1].$tasksIPViem[2].$tasksIPViem[3];
												break;
											case 2:
												$ipsel = $tasksIPViem[0].$tasksIPViem[1].$tasksIPViem[2];
												break;
											default:
												$ipsel = 's';
												break;
										}
										
										$tasks_temp_ip = mysql_fetch_array( mysql_query( "SELECT * FROM tasks_temp WHERE ident = '" . $pr_tasks_row['id'] . "' and ip = '".$ipsel."' ORDER BY id DESC LIMIT 1" ) );
										
										#если задание включен ип фильтыр и вы уже выполняли с этого ип и еще не прошло время фильтра
										if ( ($tasks_temp_ip['startdate'] + $pr_tasks_row['timeIpFilter']) > time() and $tasks_temp_ip['ip'] == $ipsel AND $tasks_temp_ip['status'] != 0 AND $tasks_temp_ip['status'] != 3 AND $tasks_temp_ip['iduser'] == $_SESSION['iduser']) {
											if($tasks_temp_ip['status'] == 4){
												echo '<div class="alert alert-info-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Заданиe находится на проверке у рекламодателя.
												</div>';
											} else {
												echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Это задание недоступно для вашего IP до '.date('d.m.Y - H:i', $tasks_temp_ip['startdate'] + $pr_tasks_row['timeIpFilter']).'
												</div>';
											}
										} else
										
										#если задание одноразовое и его уже выполняли
										if ( $pr_tasks_row['many'] == 0 and $pr_tasks_temp_row['status'] == 1 ) {
											echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Это одноразовое задание и Вы уже выполняли его.
												</div>';
										} else
										#если уже начали выполнять или отчёт на доработке
										if ( $pr_tasks_temp_row['status'] == 0 or $pr_tasks_temp_row['status'] == 3 ) {
											?>
											<script type="text/javascript">
											function refuse_answer() {
												$.post('/ajax.php?func=refuse_answer', {
													id: <?=$pr_tasks_temp_row['id']?>
												}, function(data) {
													if (data == 1) {
														Page.Go('/tasksview='+<?=$pr_tasks_row['id']?>);
													}
												});
												return false;
											}
											
											function send_answer() {
												$.post('/ajax.php?func=send_answer', {
													id: <?=$pr_tasks_temp_row['id']?>,
													answer: $('#taskanswer').val()
												}, function(data) {
													if (data == 1) {
														Page.Go('/tasksview='+<?=$pr_tasks_row['id']?>);
													} else
													if (data == 2) {
														$('#taskanswer').focus();
														$('#send_answer').html('Отправить отчёт');
													} else {
														$('#send_answer').html('Отправить отчёт');
													}
												});
												return false;
											}
											
											$(document).ready(function(){
												$("#menu").on("click","a", function (event) {
													event.preventDefault();
													var id  = $(this).attr('href'),
														top = $(id).offset().top;
													$('body,html').animate({scrollTop: top}, 1500);
												});
											});
											</script>
											
											
											
											<div style="margin: 0 auto; padding: 5px;">
												
												<ul class="list-style1 li-green" type="circle">
												  <li>Вы начали выполнять это задание <b><?=date( 'd.m.Y', $pr_tasks_temp_row['startdate'] )?> в <?=date( 'H:i', $pr_tasks_temp_row['startdate'] )?></b></li>
												  <li>Задание необходимо выполнить не позднее <b><?=date( 'd.m.Y', $pr_tasks_temp_row['enddate'] )?> в <?=date( 'H:i', $pr_tasks_temp_row['enddate'] )?></b></li>
												</ul>
												
												<p class="p-15px">Заполните внизу отчёт о выполнении задания. Если отчёт не будет подан, по прошествии указанного срока, заявка на выполнение будет аннулирована. Если вы полностью выполнили задание, напишите в форме ниже то, что необходимо указать для подтверждения и нажмите кнопку «Отправить отчёт». Если вы не собираетесь выполнять задание, нажмите кнопку «Отказаться».</p>
												<br />
												
												<?
												if ( $pr_tasks_temp_row['status'] == 3 ) {
													echo '<div class="alert alert-danger-task alert-danger-task-fix" role="alert">' . $pr_tasks_temp_row['refuse'] . '</div>';
												}
												?>
												<div align="center" style="padding: 5px; margin-top: -22px; margin-bottom: 17px;">
													<textarea id="taskanswer" style="width: 620px; height: 100px; " class="val"><?=preg_replace( '#\<br /\/\>#', '\r', $pr_tasks_temp_row['answer'] )?></textarea>
												</div>
												
												<div align="center" style="padding: 5px;">
													<a href="#yak2" class="btn_box_big" id="send_answer" onclick="send_answer(); return false;">Отправить отчёт</a>&nbsp;&nbsp;&nbsp;
													<a href="#yak3" class="btn_box_big_no" id="refuse_answer" onclick="refuse_answer(); return false;">Отказаться</a>
												</div>
												
												<div style="text-align: center; margin-top: 15px; margin-bottom: 10px;">
													Чтобы выполнить задание, вы должны перейти по <a href="<?=$pr_tasks_row['url']?>" target="_blank" class="link_color">этой ссылке</a>
												</div>
												
											</div>
											<?
										} else
										#если уже ответили и ждут ответа от рекламодателя и задание является одноразовым
										if ( $pr_tasks_temp_row['status'] == 4 AND $pr_tasks_row['re_execution'] != 1 AND $pr_tasks_row['many'] != 1  ) {
											echo '<div class="alert alert-info-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Заданиe находится на проверке у рекламодателя.
												</div>';
										} else
											
										if ( $pr_tasks_row['TimeoutInExecution'] > '0' AND $pr_tasks_row['TimeoutResidue'] < '1' AND $pr_tasks_temp_row['status'] != 0 AND $pr_tasks_temp_row['status'] != 3) {
											echo '<div class="alert alert-warning-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Задание исчерпало доступный лимит выполнений на сегодня.
												</div>';
										} else
										
										#если задание многоразовое и включен или выключен параметер повторного выполнения до проверки и его уже выполняли
										if ( $pr_tasks_row['many'] == 1 and $pr_tasks_temp_row['status'] == 1 and $pr_tasks_temp_row['startdate'] + $pr_tasks_row['executionTime'] > time() ) {
											
											$TimeExecution = ( int )($pr_tasks_row['executionTime'] / 3600);
											switch ( $TimeExecution ) {
												case 1:
													$TimeNames = 'час';
													break;
												case 3:
													$TimeNames = 'часа';
													break;
												case 6:
													$TimeNames = 'часов';
													break;
												case 12:
													$TimeNames = 'часов';
													break;
												case 24:
													$TimeNames = 'часа';
													break;
												case 48:
													$TimeNames = 'часов';
													break;
												case 72:
													$TimeNames = 'часа';
													break;
												case 120:
													$TimeNames = 'часов';
													break;
												default:
													$KategoriesTitle = '()';
													break;
											}
											echo '<div class="alert alert-success-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Задание выполнено, рекламодатель оплатил выполнение</b>! <br>Вы сможете повторить выполнение через '.$TimeExecution.' '.$TimeNames.' с момента последнего выполнения.
												</div>';
										} else
										#если задание многоразовое и включен параметер повторного выполнения до проверки, и его уже начали делать и отослали отчёт на проверку 
										if ( $pr_tasks_row['re_execution'] == 1 and $pr_tasks_row['many'] == 1 and $pr_tasks_temp_row['status'] == 4 and $pr_tasks_temp_row['startdate'] + $pr_tasks_row['executionTime'] > time() ) {
											$TimeExecution = ( int )($pr_tasks_row['executionTime'] / 3600);
											switch ( $TimeExecution ) {
												case 1:
													$TimeNames = 'час';
													break;
												case 3:
													$TimeNames = 'часа';
													break;
												case 6:
													$TimeNames = 'часов';
													break;
												case 12:
													$TimeNames = 'часов';
													break;
												case 24:
													$TimeNames = 'часа';
													break;
												case 48:
													$TimeNames = 'часов';
													break;
												case 72:
													$TimeNames = 'часа';
													break;
												case 120:
													$TimeNames = 'часов';
													break;
												default:
													$KategoriesTitle = '()';
													break;
											}
											echo '<div class="alert alert-info-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Заданиe находится на проверке у рекламодателя.<br>Однако через '.$TimeExecution.' '.$TimeNames.' вы сможете выполнить задание повторно не дожидаясь проверки.
												</div>';
										} else
											
										
										
										#если задание многоразовое и выключен параметер повторного выполнения до проверки, и его уже начали делать и отослали отчёт на проверку 
										if ( $pr_tasks_row['re_execution'] != 1 and $pr_tasks_row['many'] == 1 and $pr_tasks_temp_row['status'] == 4 and $pr_tasks_temp_row['startdate'] + $pr_tasks_row['executionTime'] > time() ) {
											$TimeExecution = ( int )($pr_tasks_row['executionTime'] / 3600);
											switch ( $TimeExecution ) {
												case 1:
													$TimeNames = 'час';
													break;
												case 3:
													$TimeNames = 'часа';
													break;
												case 6:
													$TimeNames = 'часов';
													break;
												case 12:
													$TimeNames = 'часов';
													break;
												case 24:
													$TimeNames = 'часа';
													break;
												case 48:
													$TimeNames = 'часов';
													break;
												case 72:
													$TimeNames = 'часа';
													break;
												case 120:
													$TimeNames = 'часов';
													break;
												default:
													$KategoriesTitle = '()';
													break;
											}
											echo '<div class="alert alert-info-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Заданиe находится на проверке у рекламодателя.<br>Вы сможете повторить выполнение после проверки рекламодателем, но не рание чем через '.$TimeExecution.' '.$TimeNames.' с момента последнего выполнения.
												</div>';
										} else
											
										
										
										if ( mysql_num_rows( $get_black_list ) > 0 ) {
											echo '<div class="alert alert-danger-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Вы не можете выпонить это задание. Рекламодатель занес Вас в черный список
												</div>';
										} else
										if ( $pr_tasks_temp_row['status'] == 2 and $pr_tasks_temp_row['startdate'] + $pr_tasks_row['executionTime'] > time() and $pr_tasks_row['many'] != 1 ) {
											echo '<div class="alert alert-danger-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Вам отказано по причине: ' . $pr_tasks_temp_row['refuse'] . '
												</div>';
										} else
										if ( $pr_tasks_temp_row['status'] == 2 and $pr_tasks_temp_row['startdate'] + $pr_tasks_row['executionTime'] > time() and $pr_tasks_row['many'] == 1 ) {
											$TimeExecution = ( int )($pr_tasks_row['executionTime'] / 3600);
											switch ( $TimeExecution ) {
												case 1:
													$TimeNames = 'час';
													break;
												case 3:
													$TimeNames = 'часа';
													break;
												case 6:
													$TimeNames = 'часов';
													break;
												case 12:
													$TimeNames = 'часов';
													break;
												case 24:
													$TimeNames = 'часа';
													break;
												case 48:
													$TimeNames = 'часов';
													break;
												case 72:
													$TimeNames = 'часа';
													break;
												case 120:
													$TimeNames = 'часов';
													break;
												default:
													$KategoriesTitle = '()';
													break;
											}
											echo '<div class="alert alert-danger-task alert-danger-task-fix" role="alert">
												  <i class="fa fa-info-circle" aria-hidden="true"></i> Вам отказано по причине: <span style="color:#800000">' . $pr_tasks_temp_row['refuse'] . '</span> <br>Вы сможете повторить выполнение через '.$TimeExecution.' '.$TimeNames.' с момента последнего выполнения. 
												</div>';
										} else	{
											?>
											<script type="text/javascript">
											function starttask() {
												$.post('ajax.php?func=starttask', {
													id: <?=$pr_tasks_row['id']?>
												}, function(data) {
													if (data == 1) {
														Page.Go('/tasksview='+<?=$pr_tasks_row['id']?>);
													} 
												});
												return false;
											}
											
											function start(){ 
												window.open('<?=$pr_tasks_row['url']?>','_blank');
											}
											
											$(document).ready(function(){
												$("#menu").on("click","a", function (event) {
													event.preventDefault();
													var id  = $(this).attr('href'),
														top = $(id).offset().top;
													$('body,html').animate({scrollTop: top}, 1500);
												});
											});
											</script>
											<span class="task-subtitle">Внимание!</span>
											<b>На выполнение этого задания выделяется не более <?
											if ( $pr_tasks_row['maxtime'] == 3600 ) { echo "1 часа";} 
											if ( $pr_tasks_row['maxtime'] == 7200 ) { echo "2-х часов";}
											if ( $pr_tasks_row['maxtime'] / 3600 == 6 ) { echo "6 часов"; }
											if ( $pr_tasks_row['maxtime'] / 3600 == 12 ) { echo "12 часов"; }
											if ( $pr_tasks_row['maxtime'] == 86400 ) { echo "1 дня"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 2 ) { echo "2-x дней"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 3 ) { echo "3-x дней"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 4 ) { echo "4-x дней"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 5 ) { echo "5 дней";  }
											if ( $pr_tasks_row['maxtime'] / 86400 == 6 ) { echo "6 дней"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 7 ) { echo "7 дней"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 10 ) { echo "10 дней"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 15 ) { echo "15 дней"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 20 ) { echo "20 дней"; }
											if ( $pr_tasks_row['maxtime'] / 86400 == 30 ) { echo "30 дней"; }
											?>! </b> <br>
											Чтобы выполнить задание, нажмите на кнопку «Начать выполнение задания». Необходимую подтверждающую информацию о выполнении задания нужно будет ввести здесь же, на странице задания. Успехов!
										<center>
											<div style="margin-top: 20px; margin-bottom: 20px;">
												<a href="#yak1" rel="external" onclick="starttask(); start(); " class="btn_box_big" id="st_tasks">Начать выполнение задания</a>
											</div>
											<div class="desctext-task-fix">
												<span class="desctext ">Будет произведён переход на сайт<br><a href="<?=$pr_tasks_row['url']?>" target="_blank" class="link_color"><?=$pr_tasks_row['url']?></a></span>
											</div>
										</center>
											
											<?
										}
									} else {
									
										?>
										<script type="text/javascript">
											function starttask() {
												$.post('ajax.php?func=starttask', {
													id: <?=$pr_tasks_row['id']?>
												}, function(data){ 
													if (data == 1) {
														Page.Go('/tasksview='+<?=$pr_tasks_row['id']?>);
													} 
												});
												
											}
											
											function start(){ 
												window.open('<?=$pr_tasks_row['url']?>','_blank');
											}
											
											$(document).ready(function(){
												$("#menu").on("click","a", function (event) {
													event.preventDefault();
													var id  = $(this).attr('href'),
														top = $(id).offset().top;
													$('body,html').animate({scrollTop: top}, 1500);
												});
											});
										</script>
										<span class="task-subtitle">Внимание!</span>
										<b>На выполнение этого задания выделяется не более <?
										if ( $pr_tasks_row['maxtime'] == 3600 ) { echo "1 часа";} 
										if ( $pr_tasks_row['maxtime'] == 7200 ) { echo "2-х часов";}
										if ( $pr_tasks_row['maxtime'] / 3600 == 6 ) { echo "6 часов"; }
										if ( $pr_tasks_row['maxtime'] / 3600 == 12 ) { echo "12 часов"; }
										if ( $pr_tasks_row['maxtime'] == 86400 ) { echo "1 дня"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 2 ) { echo "2-x дней"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 3 ) { echo "3-x дней"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 4 ) { echo "4-x дней"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 5 ) { echo "5 дней";  }
										if ( $pr_tasks_row['maxtime'] / 86400 == 6 ) { echo "6 дней"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 7 ) { echo "7 дней"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 10 ) { echo "10 дней"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 15 ) { echo "15 дней"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 20 ) { echo "20 дней"; }
										if ( $pr_tasks_row['maxtime'] / 86400 == 30 ) { echo "30 дней"; }
										?>! </b> <br>
										Чтобы выполнить задание, нажмите на кнопку «Начать выполнение задания». Необходимую подтверждающую информацию о выполнении задания нужно будет ввести здесь же, на странице задания. Успехов!
										<center>
											<div style="margin-top: 20px; margin-bottom: 20px;">
												<a href="#yak1" rel="external" onclick="starttask(); start(); " class="btn_box_big" id="st_tasks">Начать выполнение задания</a>
											</div>
											<div class="desctext-task-fix">
												<span class="desctext ">Будет произведён переход на сайт<br><a href="<?=$pr_tasks_row['url']?>" target="_blank" class="link_color"><?=$pr_tasks_row['url']?></a></span>
											</div>
										</center>
										
								     <?  
									} 
								  ?>
								
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="banner_gorizontal banner_gorizontal_fix" style="margin-top: 31px;"><? include_once ROOT_DIR . '/modules/banner468x60/rotator.php';?></div>
			</article>
		</div>
        <?
    } else {
        echo '<div style="margin-left: -10px;" class="alert alert-danger-task alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Ошибка!</h5>
			<p style="font-size: 14px;">Задание не найдено, недостаточно средств на балансе или приостановлено.</p>
		</div>';
    }

} ?>